Redmine Install - rake db:migrate error


#1

I am trying to install Redmine. I followed the instructions given on Dreamhosts wiki page below.

http://wiki.dreamhost.com/Redmine

When I run the command for RAILS below…I get the error.

Can someone please tell me what I am doing wrong…?

[sadr]$RAILS_ENV=production rake db:migrate
rake aborted!
Please install the mysql adapter: gem install activerecord-mysql-adapter (can’t activate mysql (~> 2.8.1, runtime), already activated mysql-2.9.0. Make sure all dependencies are added to Gemfile.)


#2

I am having same exact issue. Did you find a solution?
[hr]

I fixed the issue by getting a more recent Redmine version. I got version 2.1.

Lower on Dreamhost instruction page you link to, they mention the possibility of Redmine and Rail versions getting out of sync. One of the biggest reasons why I tend to avoid working with Rail applications.


#3

Thanks for sharing. It will be good to post the solution on wiki :stuck_out_tongue: